--------------------------------------------------------------------------
-- Assirc_Manager                           Copyrigth ENS ULM 1996-1998 --
-- Pierre VINCENS                   V 00.000                 10/04/1996 --
-- Pierre VINCENS                   V 01.000                 12/03/1998 --
--------------------------------------------------------------------------
-- Paquetage de dclaration des variables globales
--------------------------------------------------------------------------
with Type_specifications; use Type_Specifications;
with Sequence_Specifications; use Sequence_Specifications;
with Sequence_Specifications.Basic; use Sequence_Specifications.Basic;
with Assirc_Options; use Assirc_Options;
with Assirc_Specifications; use Assirc_Specifications;
with Assirc_Specifications.Basic; use Assirc_Specifications.Basic;

package Assirc_Global_Variables is

  Options : Options_Type;
    -- dfinissent les parametres d'execution du programme. Les options
    -- sont passes par la ligne de commande.

  Shift : Shift_Access;
    -- Mmorisation des paramtres du shift

  Max_Sequences : constant Accession_Type := 2;
  Nb_Sequences  : Integer renames Options.Nb_Sequences;
  Sequences     : Assirc_Sequence_Array_Access;
    -- dfinissent les conditions de mmorisation des squences. Nb_sequence
    -- maintien le nombre de squences (2 maximum dans la version actuelle).
    -- Une squence correspond  la suite des nuclotides d'un chromosome.
    -- Les identificateurs mmorisent la mnmotechnique utilis pour nommer
    -- chaque squence.

end Assirc_Global_Variables;
