--------------------------------------------------------------------------
-- Assirc_Seeds.Eval                        Copyrigth ENS ULM 1996-1998 --
-- Pierre VINCENS                   V 00.000                 10/04/1996 --
-- Pierre VINCENS                   V 01.000                 23/03/1998 --
-- Pierre VINCENS                   V 01.001                 17/04/1998 --
--------------------------------------------------------------------------
-- Evaluation des graines (Version non distribue)
-- La procedure Eval_Seeds calcule l'expension de chaque graine. La 
-- gestion de la base de donnees est associee a travers le paquetage
-- Assirc_Database                                              
--------------------------------------------------------------------------
-- V 01.001
-- Le controle de la determination des paires a tester en fonction des
-- brins a analyser a ete integre. L'appel de Eval_Seeds a ete modifie
-- (sequences est maintenant un pointeur sur le tableau et non plus le 
-- tableau).
--------------------------------------------------------------------------

package Assirc_Seeds.Eval is

  procedure Eval_Seeds(Sequences       : in Assirc_Sequence_Array_Access;
                       Seeds           : in out Seed_Segments;
                       Min_Length      : in Integer;
                       Max_Dist        : in Integer;
                       Tolerance       : in Integer;
                       Common_Max_Dist : in Integer;
                       Skip            : in Integer;
                       Xonly           : in Boolean);
  -- Dtermination de la similarit de la rgion se trouvant autour
  -- de chaque graine par une mthode d'extension mesurant la distance
  -- sparant des marches alatoires

end Assirc_Seeds.Eval;
