--------------------------------------------------------------------------
-- Assirc_Version                           Copyrigth ENS ULM 1996-2000 --
-- Pierre VINCENS                   V 01.000                 24/07/1997 --
-- Pierre VINCENS                   V 01.100                 29/06/1998 --
-- Pierre VINCENS                   V 01.200                 15/04/1999 --
-- Pierre VINCENS                   V 01.300                 29/06/1999 --
-- Pierre VINCENS                   V 01.400                 16/02/2000 --
-- Pierre VINCENS                   V 01.500                 17/07/2003 --
--------------------------------------------------------------------------
-- V 01.000
-- Premire version du programme Assirc permettant de rechercher les zones
-- similaires dans un couple de sequences.
--------------------------------------------------------------------------
-- V 01.100
-- Evolution majeure du logiciel.
--   1/ Prise en compte simultane de plusieurs squences
--   2/ Les rsultats sont toujours donnes par rapport  l'origine du brin
--      Watson quel que soit les brins considrs. 
--   3/ Le fichier rsultat a comme suffixe ".sim"
--------------------------------------------------------------------------
-- V 01.200
-- Evolution majeure du logiciel.
--   1/ Possibilit de raliser l'alignement  la suite de la dtection
--      des rgions potentiellement similaires.
--   2/ Le logiciel Yaap est dsormais associ  Assirc pour raliser les
--      alignements 
--   3/ Les fichiers rsultats ont comme suffixe ".sil" et ".sim"
--   4/ Le format des fichiers ".lst" a ete modifie pour etre compatible
--      avec Yaap
--------------------------------------------------------------------------
-- V 01.300
-- Evolution majeure du logiciel.
--   1/ Support de la lecture de fichiers au format Genbank
--   2/ Modification du traitement des erreurs
--------------------------------------------------------------------------
-- V 01.400
-- Evolution majeure du logiciel.
--   1/ Introduction de Ltr_Assirc adapte  la recherche de Ltr
--   2/ Support de dassirc
--   3/ Modification de l'allocation memoire pour l'alignement des
--      squences (detecte sous Solaris)
--   4/ Le format des sorties est modifi. 
--        o le brin est desormais specifie comme un champ supplementaire
--          pour chacune des deux regions (W = Watson, C = Crick)
--        o les positions sont maintenant toujours indiquees d'une
--          manire croissante. Dans le cas d'une correspondance
--          entre un brin Watson et un brin Crick, le debut des zones
--          similaires est donc sur la position la plus petite pour
--          le brin Watson et la plus grande pour le brin Crick      
--------------------------------------------------------------------------
-- V 01.500
-- Evolution majeure du logiciel.
--------------------------------------------------------------------------

package Assirc_Version is

  Version_Id : constant String := "1.5";

end Assirc_Version;
