--------------------------------------------------------------------------
-- Dassirc_Abort_Options                    Copyrigth ENS ULM 1996-2000 --
-- Pierre VINCENS                   V 01.000                 12/12/2000 --
--------------------------------------------------------------------------
-- Gestion des options pour la desactivation d'un client Builder
--------------------------------------------------------------------------
with Type_Specifications; use Type_Specifications;

with Dassirc_Common; use Dassirc_Common;

package Dassirc_Abort_Options is

  ARGUMENT_ERROR : exception;
  -- Indique un argument non reconnu

  type Abort_Options is record
    Client : View_Id := Unassigned_Id;
  end record;

  procedure Get_Options(Options : in out Abort_Options);
  -- Analyse des options

  procedure Print_Options;
  -- Impression des options possibles
  
end Dassirc_Abort_Options;
