--------------------------------------------------------------------------
-- Generic_Quicksort                        Copyrigth ENS ULM 1986-1997 --
-- Jean-Arcady MEYER                V 00.000                 12/06/1987 --
-- Pierre VINCENS                   V 01.000                 07/06/1997 --
--------------------------------------------------------------------------
--
-- Ce paquetage implmente la fonction de tri rapide quicksort
--
-------------------------------------------------------------------------
generic

  type Item is private;
  type Index is (<>);
  type Items is array(Index range <>) of Item;
  with function "<" (Left  : in Item;
                     Right : in Item) return Boolean is <>;

  -- ATTENTION: le type index doit etre defini sur un intervalle
  -- dont les bornes sont strictement plus petites et plus grandes que
  -- la taille du tableau a gerer.

package Generic_Quicksort is

  pragma Pure(Generic_Quicksort);

  procedure Quicksort(The_Items : in out Items);

end Generic_Quicksort;
