--------------------------------------------------------------------------
-- Sequence_Alignment.Print                 Copyrigth ENS ULM 1996-1999 --
-- Pierre VINCENS                   V 01.000                 19/11/1997 --
-- Pierre VINCENS                   V 01.001                 04/06/1999 --
--------------------------------------------------------------------------
-- Impression des alignements obtenus
--------------------------------------------------------------------------
-- V 01.001
-- Support d'impression depuis le modle Summary
--------------------------------------------------------------------------
with Ada.Text_Io; use  Ada.Text_Io;
with Type_specifications; use Type_Specifications;

with Sequence_Alignment.Basic; use Sequence_Alignment.Basic;

package Sequence_Alignment.Print is

  procedure Print_Alignment(File             : in Ada.Text_Io.File_Type;
                            Alignment        : in Alignment_Model;
                            Sequence_By_Line : in Integer := 50);

  procedure Print_Summary(File      : in Ada.Text_Io.File_Type;
                          Alignment : in Alignment_Model);
  procedure Print_Summary(File      : in Ada.Text_Io.File_Type;
                          Alignment : in Alignment_Summary_Model);

end Sequence_Alignment.Print;
