--------------------------------------------------------------------------
-- Type_Specifications.IO                   Copyrigth ENS ULM 1986-1997 --
-- Pierre VINCENS                   V 01.000                 06/11/1997 --
--------------------------------------------------------------------------
with Ada.Text_Io;

package Type_Specifications.Io is

  package Byte_Io is new Ada.Text_Io.Integer_Io(Byte);
  package Int_Io is new Ada.Text_Io.Integer_Io(Integer);
  package Integer_8_Io is new Ada.Text_Io.Integer_Io(Integer_8);
  package Integer_16_Io is new Ada.Text_Io.Integer_Io(Integer_16);
  package Integer_32_Io is new Ada.Text_Io.Integer_Io(Integer_32);
  package Real_Io is new Ada.Text_Io.Float_Io(Real);
  package Long_Real_Io is new Ada.Text_Io.Float_Io(Long_Real);

end  Type_Specifications.Io;
