--------------------------------------------------------------------------
-- Assirc_Seeds.Database                    Copyrigth ENS ULM 1996-1999 --
-- Pierre VINCENS                   V 00.000                 24/06/1999 --
--------------------------------------------------------------------------
-- Ce paquetage contient des primitives permettant de grer une base de 
-- donnes locale  une partition
--------------------------------------------------------------------------
with Assirc_Database;

package Assirc_Seeds.Database is


  procedure Set_Parameters(Excluded_Marge     : in Integer;
                           Intersection_Marge : in Integer);
  pragma Inline(Set_Parameters);
  -- Positionnement des paramtres de gestion de la base de donnes locale

  procedure Close_Local_Database;
  pragma Inline(Close_Local_Database);
  -- Cette procedure desactive la gestion de base de donnes locale
 
  protected Local_Database is
    -- Accs control  la base de donnes locale
    function Included(Seg1,Seg2 : in Segment_Type) return Boolean;
    -- Tester la prsence d'une graine dans la base locale
    procedure Append_Pair_In_Tree(Pair : in out Segment_Pair);
    -- Ajouter une paire  la base locale
    procedure Reset;
    -- Arrete la gestion de la base de donne locale. Il n'y a
    -- pas possibilit de la ractiver. Cette action doit etre
    -- lanc  la fin de la production des graines.
  private
    Active : Boolean := True;
  end Local_Database;

end Assirc_Seeds.Database;
