--------------------------------------------------------------------------
-- Assirc_Specifications.Database           Copyrigth ENS ULM 1996-1998 --
-- Pierre VINCENS                   V 00.000                 10/04/1996 --
-- Pierre VINCENS                   V 01.000                 12/03/1998 --
--------------------------------------------------------------------------
package body Assirc_Specifications.Database is

  ------------------------------------------------------------------------
  -- Fonctions d'ordonencement des segments
  ------------------------------------------------------------------------
  function Eq(A,B : in Segment_Pair) return Boolean is
  begin
    return A.Seg1 = B.Seg1 and A.Seg2 = B.Seg2;
  end Eq;

  function Inf(A,B : in Segment_Pair) return Boolean is
  begin
    if A.Seg1.Id = B.Seg1.Id then
      if A.Seg1.Strand = B.Seg1.Strand then
	if A.Seg2.Id = B.Seg2.Id then
	  if A.Seg2.Strand = B.Seg2.Strand then
	    if A.Seg1.Start = B.Seg1.Start then
	      if A.Seg1.Stop = B.Seg1.Stop then
		if A.Seg2.Start = B.Seg2.Start then
		  return A.Seg2.Stop < B.Seg2.Stop;
		end if;
		return A.Seg2.Start < B.Seg2.Start;
	      end if;
	      return A.Seg1.Stop < B.Seg1.Stop;
	    end if;
	    return A.Seg1.Start < B.Seg1.Start;
	  end if;
	  return A.Seg2.Strand < B.Seg2.Strand;
	end if;
	return A.Seg2.Id < B.Seg2.Id;
      end if;
      return A.Seg1.Strand < B.Seg1.Strand;
    end if;
    return A.Seg1.Id < B.Seg1.Id;
  end Inf;

end Assirc_Specifications.Database;
