--------------------------------------------------------------------------
-- Dassirc_Builder_Options                  Copyrigth ENS ULM 1996-1998 --
-- Pierre VINCENS                   V 01.000                 01/04/1998 --
--------------------------------------------------------------------------
-- Gestion des options spcifiques au client Dassirc_Builder
--------------------------------------------------------------------------
with Type_Specifications; use Type_Specifications;

with Dassirc_Common; use Dassirc_Common;

package Dassirc_Builder_Options is

  ARGUMENT_ERROR : exception;
  -- Indique un argument non reconnu

  type Builder_Options is record
    Supported_Actions : Action_List := No_Action;
    Computing_Method  : Method_Of_Seed_Computing := Simple;
    Expand_Task       : Integer := 2;
  end record;

  procedure Get_Options(Options : in out Builder_Options);
  -- Analyse des options

  procedure Print_Options;
  -- Impression des options possibles
  
end Dassirc_Builder_Options;
