--------------------------------------------------------------------------
-- Dassirc_Monitor                          Copyrigth ENS ULM 1996-1998 --
-- Pierre VINCENS                   V 01.000                 09/04/1998 --
--------------------------------------------------------------------------
-- Visualisation de l'tat d'avancement du programme
--------------------------------------------------------------------------
with Ada.Text_Io; use Ada.Text_Io;
with Ada.Calendar; use Ada.Calendar;

with Type_Specifications; use Type_Specifications;

with Dassirc_Common; use Dassirc_Common;
with Dassirc_Dispatcher; use Dassirc_Dispatcher;
with Dassirc_Statistics; use Dassirc_Statistics; 
with Dassirc_Statistics_Io; use Dassirc_Statistics_Io; 

procedure Dassirc_Monitor is

begin
  while not Terminated loop
    Display(Dassirc_Statistics.State);  
    Put_Line("----"); 
    delay 5.0;
  end loop;
exception
  when DISPATCHER_COMPLETED =>
    Put_Line("Dassirc completed");
end Dassirc_Monitor;
