--------------------------------------------------------------------------
-- Dassirc_Utils                            Copyrigth ENS ULM 1996-1998 --
-- Pierre VINCENS                   V 01.000                 16/03/1998 --
--------------------------------------------------------------------------
-- Fonctions utilitaires associes 
--------------------------------------------------------------------------
with Sequence_Specifications; use Sequence_Specifications;
with Sequence_Specifications.Basic; use Sequence_Specifications.Basic;

with Assirc_Specifications; use Assirc_Specifications;
with Assirc_Specifications.Basic; use Assirc_Specifications.Basic;

with Dassirc_Common; use Dassirc_Common;
with Dassirc_Dispatcher; use Dassirc_Dispatcher;

package Dassirc_Utils is
  
  Sequences_Not_Loaded : exception;
  -- Les sequences n'ont pu etre chargees
  
  function Load_Sequences return Assirc_Sequence_Array_Access;
  -- Transfert des sequences depuis le dispatcher. Le transfert
  -- se fait par une socket annexe  cause d'une limitation de Glade
  -- sur la taille des objets  accder en remote.
  -- Sequences_Not_Loaded est leve si une erreur s'est produite
  -- au cours du chargement des sequences. Generalement, c'est du
  -- a un nombre de descripteurs de fichiers disponibles insuffisants

  procedure Print_Sequence(Seq  : in Nucleotidic_Sequence;
			   Name : in String);
  -- Impression d'une sequence dans un fichier name au format Fasta 

end Dassirc_Utils; 
