--------------------------------------------------------------------------
-- System_Functions                         Copyrigth ENS ULM 1998-1999 --
-- Pierre VINCENS                   V 01.000                 26/07/1999 --
--------------------------------------------------------------------------
with Ada.Text_Io; use Ada.Text_Io;
with Interfaces.C;

with System_Constants; use System_Constants;

package body System_Functions is

  type Process_Id is new Interfaces.C.Int;
  function Getpid return Process_Id;
  pragma Import(C,Getpid,"getpid");
  -- Retourne le numro du process courant

  procedure Write_Pid(Name : in String) is
    Output : Ada.Text_Io.File_Type;
  begin
    Create(Output,Out_File,"/tmp/" & Name & ".pid");
    Put_Line(Output,Process_Id'Image(Getpid));
    Close(Output);
  exception
    when others => 
      Put_Line("Process_Id:" & Process_Id'Image(Getpid));
  end Write_Pid;
  

end System_Functions;
